Bug 256860 - mail/dovecot: Update to 2.3.15
Summary: mail/dovecot: Update to 2.3.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Kurt Jaeger
URL: https://dovecot.org/pipermail/dovecot...
Keywords: needs-qa, security
Depends on:
Blocks:
 
Reported: 2021-06-27 10:06 UTC by Ulas SAYGIN
Modified: 2021-07-04 11:47 UTC (History)
11 users (show)

See Also:
pi: maintainer-feedback-


Attachments
patch (14.15 KB, patch)
2021-06-29 01:16 UTC, Craig Leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulas SAYGIN 2021-06-27 10:06:36 UTC
it is very late and there is security patch for old version.
can someone update the port to latest version?

thank you!
Comment 1 Craig Leres freebsd_committer 2021-06-29 01:16:42 UTC
Created attachment 226102 [details]
patch

Here's a patch set that upgrades to mail/dovecot to 2.3.15. It also bump's PORTREVISION for mail/dovecot-pigeonhole and mail/dovecot-fts-xapian

I wrote an awk script to generate a new pkg-plist which results in some pkg-plist reordering. It also adds many missing files.

Finally, I moved the pkg-plist @postunexec to pkg-message.in
Comment 2 Craig Leres freebsd_committer 2021-06-29 01:17:52 UTC
(The patch set also removes two obsolete patch files)
Comment 3 Niels Bakker 2021-06-29 11:57:35 UTC
I tested review D30866 and it worked for me.
Comment 4 Michael Grimm 2021-06-29 15:01:03 UTC
I tested review D30866 as well, and it worked for me.

Couldn't test attachment 226102 [details] because I dunno know how to apply this patch.
Comment 5 Juraj Lutter freebsd_committer 2021-06-29 18:16:17 UTC
I am now waiting for either maintainer approval or a timeout.
Comment 6 Michael Grimm 2021-06-29 19:13:36 UTC
(In reply to Juraj Lutter from comment #5)

Larry has always been a very responsive maintainer. 

But given the case he skipped the update to 2.3.14 also: Hope nothing serious happened ...
Comment 7 Craig Leres freebsd_committer 2021-06-29 21:07:52 UTC
(In reply to Michael Grimm from comment #4)
(cd /usr/ports && patch -p1 < /tmp/patch.txt)
Comment 8 Craig Leres freebsd_committer 2021-06-29 21:18:14 UTC
(In reply to Juraj Lutter from comment #5)
I didn't actually test it but @otis's review (D30866) looks good to me. In particular, the pkg-plist has the same content as my patch, just in a different order. (My version uses "find . ! -type d | sort" order...)

I think D30866 is the right version to use.
Comment 9 Craig Leres freebsd_committer 2021-06-29 21:20:33 UTC
Comment on attachment 226102 [details]
patch

(Mark my patch set obsolete)
Comment 10 Michael Grimm 2021-06-29 21:25:36 UTC
(In reply to Craig Leres from comment #7)

Thanks. Patch applied successfully.

Compilation of dovecot ran to completion, that of dovecot-pigeanhole threw an error:

managesieve-settings.c:67:2: error: initializer element is not a compile-time constant
        DEF(SET_BOOL, mail_debug),
        ^~~~~~~~~~~~~~~~~~~~~~~~~
managesieve-settings.c:61:10: note: expanded from macro 'DEF'
        { type, #name, offsetof(struct managesieve_settings, name), NULL }
                ^~~~~
<scratch space>:290:1: note: expanded from here
"mail_debug"
^~~~~~~~~~~~
34 warnings and 1 error generated.
*** [managesieve-settings.lo] Error code 1

make[4]: stopped in /wrkdirs/usr/ports/mail/dovecot-pigeonhole/work/dovecot-2.3-pigeonhole-0.5.13/src/managesieve
--- managesieve-managesieve-client.o ---
mv -f .deps/managesieve-managesieve-client.Tpo .deps/managesieve-managesieve-client.Po
3 errors

make[4]: stopped in /wrkdirs/usr/ports/mail/dovecot-pigeonhole/work/dovecot-2.3-pigeonhole-0.5.13/src/managesieve

make[3]: stopped in /wrkdirs/usr/ports/mail/dovecot-pigeonhole/work/dovecot-2.3-pigeonhole-0.5.13/src

make[2]: stopped in /wrkdirs/usr/ports/mail/dovecot-pigeonhole/work/dovecot-2.3-pigeonhole-0.5.13

make[1]: stopped in /wrkdirs/usr/ports/mail/dovecot-pigeonhole/work/dovecot-2.3-pigeonhole-0.5.13
===> Compilation failed unexpectedly.
Ensure that dovecot-pigeonhole's GSSAPI backend is the same as dovecot2 (make
config). Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the
failure to the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/mail/dovecot-pigeonhole
=>> Cleaning up wrkdir
===>  Cleaning for dovecot-pigeonhole-0.5.13_1
build of mail/dovecot-pigeonhole | dovecot-pigeonhole-0.5.13_1 ended at Tue Jun 29 23:17:10 CEST 2021
build time: 00:01:40
!!! build failure encountered !!!
Comment 11 Juraj Lutter freebsd_committer 2021-06-29 21:30:31 UTC
review D30866 has been update to accomodate changes proposed by @cleres
Comment 12 Michael Grimm 2021-06-30 08:17:56 UTC
(In reply to Juraj Lutter from comment #11)

JFTR: your modified patch works as well.
Comment 13 Kurt Jaeger freebsd_committer 2021-07-02 07:43:17 UTC
Testbuilds are fine
Comment 14 commit-hook freebsd_committer 2021-07-03 10:10:28 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=21a797ec8c62a66c2e44c7e99acbf3063ec113aa

commit 21a797ec8c62a66c2e44c7e99acbf3063ec113aa
Author:     Juraj Lutter <otis@FreeBSD.org>
AuthorDate: 2021-07-03 10:04:00 +0000
Commit:     Kurt Jaeger <pi@FreeBSD.org>
CommitDate: 2021-07-03 10:09:08 +0000

    mail/dovecot-*: update 2.3.13 -> 2.3.15 and related ports

    PR:                     256860
    Approved by:            fluffy (ports-secteam)
    Submitted by:           otis
    Relnotes:               https://dovecot.org/pipermail/dovecot-news/2021-June/000457.html
                            https://dovecot.org/pipermail/dovecot-news/2021-March/000455.html
                            https://dovecot.org/pipermail/dovecot-news/2021-March/000456.html
                            https://dovecot.org/pipermail/dovecot-news/2021-June/000458.html
    Security:               CVE-2021-29157, CVE-2021-33515, CVE-2020-28200
    Differential Revision:  https://reviews.freebsd.org/D30866
    MFH:                    2021Q3

 mail/dovecot-fts-xapian/Makefile                   |  3 +--
 mail/dovecot-fts-xapian/distinfo                   |  6 ++---
 mail/dovecot-pigeonhole/Makefile                   |  2 +-
 mail/dovecot-pigeonhole/distinfo                   |  6 ++---
 mail/dovecot/Makefile                              | 21 +++++++++------
 mail/dovecot/distinfo                              |  6 ++---
 mail/dovecot/files/patch-configure                 | 13 ++--------
 ...h-src_plugins_fts-solr_solr-connection.c (gone) | 11 --------
 .../patch-src_plugins_fts_fts-parser-tika.c (gone) | 11 --------
 mail/dovecot/files/pkg-message.in                  |  7 +++++
 mail/dovecot/pkg-plist                             | 30 ++++++++++++----------
 11 files changed, 50 insertions(+), 66 deletions(-)
Comment 15 Kurt Jaeger freebsd_committer 2021-07-03 10:11:17 UTC
Is there a 2021Q3 tree already that needs updating ?
Comment 16 Kurt Jaeger freebsd_committer 2021-07-04 08:13:23 UTC
TODO: vuxml entries
Comment 17 Juraj Lutter freebsd_committer 2021-07-04 11:47:22 UTC
vuxml are already done.